//+------------------------------------------------------------------+
//|                               
//|                                         
//|                                                              
//+------------------------------------------------------------------+

#property indicator_chart_window


   extern bool Use_Sunday_Data   = True;
   extern bool Daily             = True;
   extern bool Daily_SR_Levels   = False;
   
   
 extern string Daily_Colors;   
   extern color cdpivot=Gold;
   extern color cds1=Aqua;
   extern color cds2=Aqua;
   extern color cds3=Aqua;
   extern color cdr1=Aqua;
   extern color cdr2=Aqua;
   extern color cdr3=Aqua; 
   
   
   double YesterdayHigh;
   double YesterdayLow;
   double YesterdayClose;
   double Day_Price[][6];
   double Pivot,S1,S2,S3,R1,R2,R3;
   
   int init()
  {
   return(0);
  }
  
//-------------------------------------------------------- 
  
int deinit()
  {
ObjectDelete("PivotLine");
ObjectDelete("R1_Line");
ObjectDelete("R2_Line");
ObjectDelete("R3_Line");
ObjectDelete("S1_Line");
ObjectDelete("S2_Line");
ObjectDelete("S3_Line");  

//--------------------------------

ObjectDelete("PivotLabel");
ObjectDelete("R1_Label");
ObjectDelete("R2_Label");
ObjectDelete("R3_Label");
ObjectDelete("S1_Label");
ObjectDelete("S2_Label");
ObjectDelete("S3_Label"); 

//--------------------------------------------------------

return(0);
}
//--------------------------------------------------------- 

int start()
{

ArrayCopyRates(Day_Price,(Symbol()), 1440);

   YesterdayHigh  = Day_Price[1][3];
   YesterdayLow   = Day_Price[1][2];
   YesterdayClose = Day_Price[1][4];
   
   Pivot = ((YesterdayHigh + YesterdayLow + YesterdayClose)/3);

   R1 = (2*Pivot)-YesterdayLow;
   S1 = (2*Pivot)-YesterdayHigh;

   R2 = Pivot+(R1-S1);
   S2 = Pivot-(R1-S1);
   
   R3 = (YesterdayHigh + (2*(Pivot-YesterdayLow)));
   S3 = (YesterdayLow - (2*(YesterdayHigh-Pivot)));  
  
  
if (Use_Sunday_Data == false)
 {   
   while (DayOfWeek() == 1)
      {      
       YesterdayHigh  = Day_Price[2][3];
       YesterdayLow   = Day_Price[2][2];
       YesterdayClose = Day_Price[2][4];
   
       Pivot = ((YesterdayHigh + YesterdayLow + YesterdayClose)/3);

       R1 = (2*Pivot)-YesterdayLow;
       S1 = (2*Pivot)-YesterdayHigh;

       R2 = Pivot+(R1-S1);
       S2 = Pivot-(R1-S1);
   
       R3 = (YesterdayHigh + (2*(Pivot-YesterdayLow)));
       S3 = (YesterdayLow - (2*(YesterdayHigh-Pivot)));
       break;
      }
 }
  
//--------------------------------------------------------
//--------------------------------------------------------

datetime dopen=iTime(Symbol(),PERIOD_D1,0);
if (Daily==true)
 {
  TimeToStr(CurTime());
  ObjectCreate("PivotLine", OBJ_TREND, 0, dopen, Pivot, CurTime(), Pivot);
  ObjectSet("PivotLine", OBJPROP_COLOR, cdpivot);
  ObjectSet("PivotLine", OBJPROP_STYLE,  STYLE_DASH);
  ObjectSet("PivotLine", OBJPROP_WIDTH, 1);
  ObjectSet("PivotLine", OBJPROP_RAY, 1 );

 if(ObjectFind("PivotLabel") != 1)
  {
   ObjectCreate("PivotLabel", OBJ_TEXT, 0, CurTime()+(240*60)*5, Pivot);
   ObjectSetText("PivotLabel", (""), 9, "Arial", Black);
  }
 else
  {
   ObjectMove("PivotLabel", 0, CurTime()+(240*60)*2, Pivot);
  }
ObjectsRedraw();

//--------------------------------------------------------

if (Daily_SR_Levels==true)
 {
  ObjectCreate("R1_Line", OBJ_TREND,0, dopen, R1, CurTime(),R1);
  ObjectSet("R1_Line", OBJPROP_COLOR, cdr1);
  ObjectSet("R1_Line", OBJPROP_STYLE, STYLE_SOLID);
  ObjectSet("R1_Line", OBJPROP_WIDTH, 1);
  ObjectSet("R1_Line", OBJPROP_RAY, 1 ); 
  
if(ObjectFind("R1_Label") != 1)
  {
   ObjectCreate("R1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, R1);
   ObjectSetText("R1_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("R1_Label", 0, CurTime()+(240*60)*2, R1);
  }

//--------------------------------------------------------

ObjectCreate("R2_Line", OBJ_TREND,0, dopen, R2, CurTime(),R2);
   ObjectSet("R2_Line", OBJPROP_COLOR, cdr2);
   ObjectSet("R2_Line", OBJPROP_STYLE, STYLE_SOLID);
   ObjectSet("R2_Line", OBJPROP_WIDTH, 1);
   ObjectSet("R2_Line", OBJPROP_RAY, 1 );
   
 if(ObjectFind("R2_Label") !=1)
  {
   ObjectCreate("R2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, R2);
   ObjectSetText("R2_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("R2_Label", 0, CurTime()+(240*60)*2, R2);
  }

//---------------------------------------------------------

   ObjectCreate("R3_Line", OBJ_TREND,0, dopen, R3, CurTime(),R3);
   ObjectSet("R3_Line", OBJPROP_COLOR, cdr3);
   ObjectSet("R3_Line", OBJPROP_STYLE, STYLE_SOLID);
   ObjectSet("R3_Line", OBJPROP_WIDTH, 1);
   ObjectSet("R3_Line", OBJPROP_RAY, 1 );
   
 if(ObjectFind("R3_Label") != 1)

  {
   ObjectCreate("R3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, R3);
   ObjectSetText("R3_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("R3_Label", 0, CurTime()+(240*60)*2, R3);
  }

//---------------------------------------------------------

ObjectCreate("S1_Line", OBJ_TREND,0, dopen, S1, CurTime(),S1);
   ObjectSet("S1_Line", OBJPROP_COLOR, cds1);
   ObjectSet("S1_Line", OBJPROP_STYLE, STYLE_SOLID);
   ObjectSet("S1_Line", OBJPROP_WIDTH, 1);
   ObjectSet("S1_Line", OBJPROP_RAY, 1 );
   
 if(ObjectFind("S1_Label") != 1)
  {
   ObjectCreate("S1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, S1);
   ObjectSetText("S1_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("S1_Label", 0.5, CurTime()+(240*60)*2, S1);
  }

//---------------------------------------------------------

ObjectCreate("S2_Line", OBJ_TREND,0, dopen, S2, CurTime(),S2);
   ObjectSet("S2_Line", OBJPROP_COLOR, cds2);
   ObjectSet("S2_Line", OBJPROP_STYLE, STYLE_SOLID);
   ObjectSet("S2_Line", OBJPROP_WIDTH, 1);
   ObjectSet("S2_Line", OBJPROP_RAY, 1 );
   
 if(ObjectFind("S2_Label") != 1)
  {
   ObjectCreate("S2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, S2);
   ObjectSetText("S2_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("S2_Label", 0, CurTime()+(240*60)*2, S2);
  }

//---------------------------------------------------------

   ObjectCreate("S3_Line", OBJ_TREND,0, dopen, S3, CurTime(),S3);
   ObjectSet("S3_Line", OBJPROP_COLOR, cds3);
   ObjectSet("S3_Line", OBJPROP_STYLE, STYLE_SOLID);
   ObjectSet("S3_Line", OBJPROP_WIDTH, 1);
   ObjectSet("S3_Line", OBJPROP_RAY, 1 );
   
 if(ObjectFind("S3_Label") != 1)
  {
   ObjectCreate("S3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*5, S3);
   ObjectSetText("S3_Label", "", 9, "Arial", Black);
  }
 else
  {
   ObjectMove("S3_Label", 0, CurTime()+(240*60)*2, S3);
  }
 }
ObjectsRedraw();
}

//---------------------------------------------------------


ObjectsRedraw();

   return(0);
}

